package com.ruoyi.project.asset.domain;


import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 设备总对象 t_specdev_main
 *
 * @author ruoyi
 * @date 2022-10-09
 */
public class TSpecdevMain extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一标识id */
    private Long id;

    @Excel(name = "序号")

    private int index;
    /** 中文名 */
    @Excel(name = "中文名")
    private String devName;

    /** 英文名 */
    @Excel(name = "英文名")
    private String devEnname;

    /** 位号 */
    @Excel(name = "位号")
    private String devno;

    /** 是否在PID上 */
    @Excel(name = "是否在PID上",readConverterExp = "1=是,0=否")
    private String isPid;

    /** P&ID图号/其他图号 */
    @Excel(name = "P&ID图号/其他图号")
    private String pidNo;

    /** 安装位置 */
    @Excel(name = "安装位置")
    private String installPosition;

    /** 功能位置 */
    @Excel(name = "功能位置")
    private String funcPosition;

    /** 资产号 */
    @Excel(name = "资产号")
    private String assetNo;

    /** 安全相关 */
    @Excel(name = "安全相关")
    private String securityRelevant;

    /** 安全相关来自于 */
    @Excel(name = "安全相关来自于")
    private String securityRelevantFrom;

    /** 生产厂家 */
    @Excel(name = "生产厂家")
    private String manufacturer;

    /** 生产年份 */
    @Excel(name = "生产年份")
    private String productionYear;

    /** 型号 */
    @Excel(name = "型号")
    private String model;

    /** 主要规格参数 */
    @Excel(name = "主要规格参数")
    private String mainSpecifications;

    /** 设备铭牌 */
    @Excel(name = "设备铭牌")
    private String dataPlate;

    /** 维修风险 */
    @Excel(name = "维修风险")
    private String maintenanceRisk;

    /** 生产风险 */
    @Excel(name = "生产风险")
    private String productionRisk;

    /** 设备分级 */
    @Excel(name = "设备分级")
    private String devGrade;

    /** 设备来自 */
    @Excel(name = "设备来自")
    private String devFrom;

    /** 设备类型（一级） */
    @Excel(name = "设备类型（一级）" )
    private String devType1;

    /** 设备类型（二级） */
    @Excel(name = "设备类型（二级）")
    private String devType2;

    /** 资产状态 */
    @Excel(name = "资产状态",readConverterExp = "1=在用,2=停用,3=报废,-1=封存")
    private String assetStatus;

    /** 资料完整度 */
    @Excel(name = "资料完整度")
    private String dataIntegrity;

    /** PM状态 */
    @Excel(name = "PM状态")
    private String pmStatus;

    /** 资产剩余寿命评估 */
    @Excel(name = "资产剩余寿命评估")
    private String assetResidueLifeAssess;

    /** 资产整体状态 */
    @Excel(name = "资产整体状态")
    private String overallAssetStatus;

    /** 状态 */
    private Long status;

    /** 状态 0 ：正常 ；-1：删除 */
    private Long delFlag;

    /** 创建人 */
    private Long createrCode;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdate;

    /** 修改人 */
    private Long updaterCode;

    /** 修改时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    private Date updatedate;

    /** 部门编号 */

    private Long deptId;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    private String deptName;

    private String subId;

    private String fuzzy;

    public String getFuzzy() {
        return fuzzy;
    }

    public void setFuzzy(String fuzzy) {
        this.fuzzy = fuzzy;
    }

    public int getIndex() {
        return index;
    }

    public void setIndex(int index) {
        this.index = index;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setDevName(String devName)
    {
        this.devName = devName;
    }

    public String getDevName()
    {
        return devName;
    }
    public void setDevEnname(String devEnname)
    {
        this.devEnname = devEnname;
    }

    public String getDevEnname()
    {
        return devEnname;
    }
    public void setDevno(String devno)
    {
        this.devno = devno;
    }

    public String getDevno()
    {
        return devno;
    }
    public void setIsPid(String isPid)
    {
        this.isPid = isPid;
    }

    public String getIsPid()
    {
        return isPid;
    }
    public void setPidNo(String pidNo)
    {
        this.pidNo = pidNo;
    }

    public String getPidNo()
    {
        return pidNo;
    }
    public void setInstallPosition(String installPosition)
    {
        this.installPosition = installPosition;
    }

    public String getInstallPosition()
    {
        return installPosition;
    }
    public void setFuncPosition(String funcPosition)
    {
        this.funcPosition = funcPosition;
    }

    public String getFuncPosition()
    {
        return funcPosition;
    }
    public void setAssetNo(String assetNo)
    {
        this.assetNo = assetNo;
    }

    public String getAssetNo()
    {
        return assetNo;
    }
    public void setSecurityRelevant(String securityRelevant)
    {
        this.securityRelevant = securityRelevant;
    }

    public String getSecurityRelevant()
    {
        return securityRelevant;
    }
    public void setSecurityRelevantFrom(String securityRelevantFrom)
    {
        this.securityRelevantFrom = securityRelevantFrom;
    }

    public String getSecurityRelevantFrom()
    {
        return securityRelevantFrom;
    }
    public void setManufacturer(String manufacturer)
    {
        this.manufacturer = manufacturer;
    }

    public String getManufacturer()
    {
        return manufacturer;
    }
    public void setProductionYear(String productionYear)
    {
        this.productionYear = productionYear;
    }

    public String getProductionYear()
    {
        return productionYear;
    }
    public void setModel(String model)
    {
        this.model = model;
    }

    public String getModel()
    {
        return model;
    }
    public void setMainSpecifications(String mainSpecifications)
    {
        this.mainSpecifications = mainSpecifications;
    }

    public String getMainSpecifications()
    {
        return mainSpecifications;
    }
    public void setDataPlate(String dataPlate)
    {
        this.dataPlate = dataPlate;
    }

    public String getDataPlate()
    {
        return dataPlate;
    }
    public void setMaintenanceRisk(String maintenanceRisk)
    {
        this.maintenanceRisk = maintenanceRisk;
    }

    public String getMaintenanceRisk()
    {
        return maintenanceRisk;
    }
    public void setProductionRisk(String productionRisk)
    {
        this.productionRisk = productionRisk;
    }

    public String getProductionRisk()
    {
        return productionRisk;
    }
    public void setDevGrade(String devGrade)
    {
        this.devGrade = devGrade;
    }

    public String getDevGrade()
    {
        return devGrade;
    }
    public void setDevFrom(String devFrom)
    {
        this.devFrom = devFrom;
    }

    public String getDevFrom()
    {
        return devFrom;
    }
    public void setDevType1(String devType1)
    {
        this.devType1 = devType1;
    }

    public String getDevType1()
    {
        return devType1;
    }
    public void setDevType2(String devType2)
    {
        this.devType2 = devType2;
    }

    public String getDevType2()
    {
        return devType2;
    }
    public void setAssetStatus(String assetStatus)
    {
        this.assetStatus = assetStatus;
    }

    public String getAssetStatus()
    {
        return assetStatus;
    }
    public void setDataIntegrity(String dataIntegrity)
    {
        this.dataIntegrity = dataIntegrity;
    }

    public String getDataIntegrity()
    {
        return dataIntegrity;
    }
    public void setPmStatus(String pmStatus)
    {
        this.pmStatus = pmStatus;
    }

    public String getPmStatus()
    {
        return pmStatus;
    }
    public void setAssetResidueLifeAssess(String assetResidueLifeAssess)
    {
        this.assetResidueLifeAssess = assetResidueLifeAssess;
    }

    public String getAssetResidueLifeAssess()
    {
        return assetResidueLifeAssess;
    }
    public void setOverallAssetStatus(String overallAssetStatus)
    {
        this.overallAssetStatus = overallAssetStatus;
    }

    public String getOverallAssetStatus()
    {
        return overallAssetStatus;
    }
    public void setStatus(Long status)
    {
        this.status = status;
    }

    public Long getStatus()
    {
        return status;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(Long createrCode)
    {
        this.createrCode = createrCode;
    }

    public Long getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(Long updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public Long getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getSubId() {
        return subId;
    }

    public void setSubId(String subId) {
        this.subId = subId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("devName", getDevName())
            .append("devEnname", getDevEnname())
            .append("devno", getDevno())
            .append("isPid", getIsPid())
            .append("pidNo", getPidNo())
            .append("installPosition", getInstallPosition())
            .append("funcPosition", getFuncPosition())
            .append("assetNo", getAssetNo())
            .append("securityRelevant", getSecurityRelevant())
            .append("securityRelevantFrom", getSecurityRelevantFrom())
            .append("manufacturer", getManufacturer())
            .append("productionYear", getProductionYear())
            .append("model", getModel())
            .append("mainSpecifications", getMainSpecifications())
            .append("dataPlate", getDataPlate())
            .append("maintenanceRisk", getMaintenanceRisk())
            .append("productionRisk", getProductionRisk())
            .append("devGrade", getDevGrade())
            .append("devFrom", getDevFrom())
            .append("devType1", getDevType1())
            .append("devType2", getDevType2())
            .append("assetStatus", getAssetStatus())
            .append("dataIntegrity", getDataIntegrity())
            .append("pmStatus", getPmStatus())
            .append("assetResidueLifeAssess", getAssetResidueLifeAssess())
            .append("overallAssetStatus", getOverallAssetStatus())
            .append("status", getStatus())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .append("deptId", getDeptId())
            .append("remarks", getRemarks())
            .toString();
    }
}
